Page MenuHomePhabricator

Dynamic DNS configuration for CUSTOM provider does not add 'server' to ddclient.conf
Closed, ResolvedPublicBUG

Description

After setting up a custom service for ddns updates (set service dns dynamic interface eth1 service custom etc...), logs showed that the authentication failed. After further investigation it appeared that the client was trying to update via dyndns servers and not the server name in the configuration - domains.google.com.

Inspecting the /etc/ddclient.conf file showed the configuration parameters:

DynDNS provider configuration for sub.domain.tld

protocol=dyndns2
max-interval=28d
login=login
password='password'
sub.domain.tld

ddclient.conf was missing the following line to tell it to reach out to google domains instead:
server=domains.google.com

After manually adding server=domains.google.com before the domain name in ddclient.conf, ddns updates work as expected.

I'm not much help on the coding side, but I'm happy to help however I can :-)

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-rc2
Why the issue appeared?
Will be filled on close
syncer assigned this task to c-po.Oct 13 2018, 11:00 PM
syncer triaged this task as Low priority.
syncer edited projects, added VyOS 1.2.x (VyOS 1.2.0-rc4); removed VyOS 1.2.x.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2.x (VyOS 1.2.0-rc4) board.
c-po added a comment.Oct 14 2018, 10:42 AM

Can you provide your configuration, please?

Did you specify domains.google.com somewhere in the CLI?

I also experienced this problem with a custom ddclient config. Adding server= manually to my config fixed it.

Here is my config:

dynamic {
    interface pppoe0 {
        service custom-duckdns {
            host-name valid.hostname.tld
            login nouser
            password ****************
            protocol dyndns2
            server www.duckdns.org
        }
    }
}

Here's what my dynamic dns config looks like:

interface eth1 {
    service custom {
        host-name sub.domain.tld
        login login
        password password
        protocol dyndns2
        server domains.google.com
    }
}
c-po closed this task as Resolved.Oct 15 2018, 10:30 AM